{
	"name": "website",
	"version": "0.0.1",
	"private": true,
	"scripts": {
		"dev": "vite dev --host",
		"build": "vite build",
		"preview": "vite preview",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"test": "vitest",
		"lint": "prettier --check . && eslint .",
		"format": "prettier --write ."
	},
	"devDependencies": {
		"@fontsource/nunito": "^5.1.0",
		"@fontsource/roboto": "^5.1.0",
		"@sveltejs/adapter-node": "^5.2.8",
		"@sveltejs/kit": "^2.7.1",
		"@types/bcrypt": "^5.0.2",
		"@types/node": "^22.7.7",
		"@types/validator": "^13.12.2",
		"@typescript-eslint/eslint-plugin": "^8.10.0",
		"@typescript-eslint/parser": "^8.10.0",
		"autoprefixer": "^10.4.20",
		"daisyui": "^4.12.13",
		"eslint": "^9.13.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-svelte": "^2.45.1",
		"postcss": "^8.4.47",
		"prettier": "^3.3.3",
		"prettier-plugin-svelte": "^3.2.7",
		"sass": "^1.80.3",
		"skinview3d": "^3.1.0",
		"svelte": "^4.2.19",
		"svelte-check": "^4.0.5",
		"svelte-heros-v2": "^1.3.0",
		"svelte-multicssclass": "^2.1.1",
		"svelte-preprocess": "^6.0.3",
		"tailwindcss": "^3.4.14",
		"tslib": "^2.8.0",
		"typescript": "^5.6.3",
		"vite": "^5.4.9",
		"vitest": "^2.1.3"
	},
	"type": "module",
	"dependencies": {
		"bcrypt": "^5.1.1",
		"dotenv": "^16.4.5",
		"mariadb": "^3.3.2",
		"sequelize": "^6.37.4",
		"sequelize-typescript": "^2.1.6",
		"sqlite3": "^5.1.7"
	}
}
